@icon-font-path:  "/assets/bower_components/bootstrap/fonts/";

/* Mixin */.autocomplete-background-grey () {
  @-webkit-keyframes autofill-grey {
    to {
      color: inherit;
      background: #eaeaea;
    }
  }

  input:-webkit-autofill {
    -webkit-animation-name: autofill-grey !important;
    -webkit-animation-fill-mode: both !important;
  }
}

/* Mixin */.autocomplete-background-white () {
  @-webkit-keyframes autofill-white {
    to {
      color: inherit;
      background: white;
    }
  }

  input:-webkit-autofill {
    -webkit-animation-name: autofill-white !important;
    -webkit-animation-fill-mode: both !important;
  }
}

@xivo-light: #fff;
@xivo-dark-gray: #959595;
@xivo-dark: #595959;
@xivo-primary: #ff5722;
@xivo-success: #5cb85c;
@xivo-warning: #cd4747;
@xivo-danger: #9f1414;
@xivo-red: #ff0000;
@orange: #e67c39;
@chat-grey : #F3F3F5;

@queue-answered: #6CFA5F;
@queue-abandonned: #FC000D;
@queue-notanswered:#2B24FF;
@queue-timeout: #34b4c2;

@brand-info: @xivo-dark-gray;
@brand-primary: @xivo-primary;
@brand-success: @xivo-success;
@brand-warning: @xivo-warning;
@brand-danger: @xivo-danger;
@line-height-large: 1.33;
@input-border-focus: @brand-primary;


@xivo-primary-hover:  lighten(@btn-primary-color-hover-2, 35%);

@btn-primary-color-off-1: #657ABE;
@btn-primary-color-off-2: #95ACC1;
@btn-primary-color-hover-1: #91DD76;
@btn-primary-color-hover-2: #42C276;
@btn-primary-color-active-1: #FF8E7E;
@btn-primary-color-active-2: #F74B01;

@modal-bg-1:#eeeeee;
@modal-bg-2:#dddddd;
@windows-bg-1:lighten(@modal-bg-1, 5%);
@windows-bg-2:lighten(@modal-bg-2, 5%);

@modal-bg: linear-gradient(180deg, @modal-bg-1 0%, @modal-bg-2 100%);
@windows-bg: linear-gradient(180deg, @windows-bg-1 0%, @windows-bg-2 100%);

@btn-primary-color-off: linear-gradient(to right, @btn-primary-color-off-1, @btn-primary-color-off-2);
@btn-primary-color-off-reverse: linear-gradient(to left, @btn-primary-color-off-1, @btn-primary-color-off-2);
@btn-primary-color-hover: linear-gradient(to right, @btn-primary-color-hover-1, @btn-primary-color-hover-2);
@btn-primary-color-hover-reverse: linear-gradient(to left, @btn-primary-color-hover-1, @btn-primary-color-hover-2);
@btn-primary-color-active: linear-gradient(to right, @btn-primary-color-active-1, @btn-primary-color-active-2);
@btn-primary-color-active-reverse: linear-gradient(to left, @btn-primary-color-active-1, @btn-primary-color-active-2);
@btn-primary-color-danger: linear-gradient(to right, @btn-primary-color-active-2, @xivo-red);

@btn-border-radius-base: 100px;
@btn-circle-size: 30px;
@btn-padding-base-vertical:     10px;
@btn-padding-base-horizontal: 31px;
@btn-default-color:              #58524f;
@btn-default-border:             #fff;

@input-height-base:40px;
@input-border: #959595;

@background-gray: linear-gradient(to bottom, #f6f6f6, #e1e1e1); 
@background-light: linear-gradient(to top, rgba(229, 229, 229, 0.9), rgba(255, 255, 255, 0.9));
@app-header-background: @windows-bg;

@alert-info-bg:  #e1e1e1;
@alert-info-text: @brand-primary;
@alert-info-border: @brand-primary;

@app-background: #fff;
@color-normal: #555555;
@color-light: #595959;
@color-lighter: #959595;

@keyboard-phone-background: #F2F2F2;

@modal-sm: 360px;
@modal-backdrop-bg: #fff;
@modal-backdrop-opacity:      .5;
@modal-content-bg: @xivo-dark;
@modal-header-border-color: @xivo-dark;
@modal-footer-border-color: @xivo-dark;
@modal-menu-bg: #eaeaea;
@modal-menu-dark-bg: #ddd;
@modal-menu-color: #e1e1e1;
@modal-menu-border: solid 1px @modal-menu-color;
@modal-action-color: #c6c6c6;

@smartphones: ~"only screen and (max-width: 479px)";
@desktop: ~"only screen and (min-width: 480px)";
@contact-line-height: 50px;
@minimum-usable-cc: ~"only screen and (max-height: 620px), screen and (max-width: 355px)";
@minimum-usable-uc: ~"only screen and (max-height: 620px), screen and (max-width: 465px)";
@minimum-usable-switchboard: ~"only screen and (max-height: 620px), screen and (max-width: 715px)";
@ccagent-tiny-bar: ~"only screen and (min-width: 70px) and (max-width: 70px)";

@keyframes blinkIcon{
  50% {opacity: 0;}
}

/**
 * Function to add the same rules in the final Css for the gradient icons and text
 */
.gradient-background(@bg, @fill: transparent, @clip: text) {
  background: @bg;
  -webkit-text-fill-color: @fill;
  -webkit-background-clip: @clip;
}